import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';

@Component({
  selector: 'app-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.css']
})
export class SidebarComponent {
  navigateToGrondwaterstand = '';
  navigateToDebiet = '';
  navigateToStatus = '';
  navigateToLogs = '';
  navigateToDashboardWerf = '';
  navigateToAutomatischAansturen='';


  constructor(private route: ActivatedRoute, private router: Router,) { }

  ngOnInit(): void {
    const wharfId = this.route.snapshot.paramMap.get('wharIid');
    this.navigateToGrondwaterstand = "/grondwaterstand/" + wharfId;
    this.navigateToDashboardWerf = "/dashboard_werf/" + wharfId;
    this.navigateToDebiet= "/debiet/" + wharfId;
    this.navigateToStatus = "/status/" + wharfId;
    this.navigateToAutomatischAansturen = "/auto/" + wharfId;
    this.navigateToLogs = "/log/" + wharfId;
  }

  overzicht(){
    this.router.navigateByUrl('/overzicht_werven');
  }

  next(){
    this.router.navigateByUrl('/profile' );
  }

}
